CC=gcc
CFLAGS=-I. -I.. -O

all: emi2csnd emsndtest sndtest

emi2csnd: i2csnd.o emi2cdev.o sndemu.o ss.o
	$(CC) -o emi2csnd i2csnd.o emi2cdev.o sndemu.o ss.o  -lwsock32 -lwinmm

emsndtest: sndtest.o emi2c.o ss.o
	$(CC) -o emsndtest sndtest.o emi2c.o ss.o  -lwsock32 -lwinmm

sndtest: sndtest.o usb910a_i2c.o
	$(CC) -o sndtest sndtest.o usb910a_i2c.o

i2csnd.o: ../i2csnd.c
	$(CC) $(CFLAGS) -c -o i2csnd.o ../i2csnd.c

clean:
	rm -f *.o emi2csnd exe emsndtest.exe sndtest.exe
